<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

echo '<img src="../images/img/partners.gif" alt=""> <b>Банк</b><br><br>';

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}
$time=time();
$oldtime=time()+43200;

if(!isset($action)){

echo'У вас в наличии: '.moneys($udata[41]).'<br>';


$data = file("../local/bank.dat");
$all_bank=count($data);
for ($p=0; $p<$all_bank; $p++) {
$dat_arr = explode("|", $data[$p]);
$summ +=$dat_arr[2]; //общая сумма

}

$lines=file("../local/bank.dat"); 
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$linn=$b; $usersum=$dt[2]; $userdata=$dt[3];}}



if($usersum==""){echo'Вы новый клиент банка '.$config_title.'. Мы рады, что вы доверяеете свои деньги нам<br>Сейчас ваш счет не открыт, достаточно вложить '.moneys(10).', чтобы получать проценты с вклада<br>'; $usersum="0";}
echo 'У вас в банке: '.moneys($usersum);
if($usersum>5000000){echo'<br><b><font color="#FF0000">Внимание у вас слишком большой вклад</font></b>';}
$lasttime=ceil(($userdata-$time)/3600);
if($userdata>=$time){
echo '<br>До получения процентов осталось около '.(int)$lasttime.' ч.';
}else{if($usersum>0){echo'<br><b>Продление счета успешно завершено!</b>';}}

if($userdata!="" && $time>=$userdata && $usersum>0){

$stavka=12;
if($usersum>=100000){$stavka=6;}
if($usersum>=250000){$stavka=3;}
if($usersum>=500000){$stavka=2;}
if($usersum>=1000000){$stavka=1;}
if($usersum<5000000){
$newgold3=round((($usersum*$stavka)/100)+$usersum);
}else{$newgold3=$usersum;}

$text='|'.$log.'|'.$newgold3.'|'.$oldtime.'|';
$text=stripslashes($text);
 
$pro_gold=$newgold3-$usersum;
echo '<br>Получено c процентов: '.moneys($pro_gold);
 
$file=file("../local/bank.dat");
$fp=fopen("../local/bank.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($linn!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}




echo '<br><br><b>Операция:</b>';
if($config_themes!=="wml"){
echo '<br><form action="bank.php?action=operacia&amp;'.SID.'" method="post"><input name="gold" /><br>';
echo '<select name="oper">';
echo '<option value="1">Снять с счета</option><option value="2">Положить на счет</option>';
echo '</select><br><br>';
echo '<input type="submit" value="Продолжить" /></form><hr>';

}else{

echo '<br><input name="gold"/><br>';
echo '<select name="oper">';
echo '<option value="1">Снять с счета</option><option value="2">Положить на счет</option>';
echo '</select><br><br>';
echo '<anchor title="go">Продолжить<go href="bank.php?action=operacia&amp;'.SID.'" method="post">';
echo '<postfield name="gold" value="$(gold)"/>';
echo '<postfield name="oper" value="$(oper)"/>';
echo '</go></anchor><br>'; }

echo'Минимальная сумма вклада или остатка счета равна '.moneys(10).'<br>';
echo'Максимальная сумма вклада равна 5млн.<br>';
echo'Процентная ставка зависит от суммы вклада<br>';
echo'Вклад до 100тыс. - ставка 12%<br>';
echo'Вклад более 100тыс. - ставка 6%<br>';
echo'Вклад более 250тыс. - ставка 3%<br>';
echo'Вклад более 500тыс. - ставка 2%<br>';
echo'Вклад более 1млн. - ставка 1%<br>';
echo'Вклад более 5млн. - ставка 0%<br>';

echo'Раз в 12 часов вы можете продлевать счет<br>';
echo'Вложенная вами сумма увеличится только 1 раз, для повторного операционного оборота, вклад необходимо продлевать, иначе сумма будет оставаться прежней<hr>';
echo'Всего вкладчиков: <b>'.(int)$all_bank.'</b><br>';
echo'Капитал банка: '.moneys($summ).'<br>';
}
////////////////////////////////////////////////////////////////////////////////////
if($action=="operacia"){
if(ctype_digit($gold) && $gold>=10 && $oper!=""){
//if($oper=="0"){echo'Продление счета<br>';}
///////////////////////////////////////////////////////////////////
if($oper=="1"){echo'Снятие с счета<br>';

$lines=file("../local/bank.dat"); 
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$lintus=$b; $goldus=$dt[2];}}
if($goldus!=="" && $goldus>"0"){
$min10gold=$goldus-10;

if($gold<$min10gold){

//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=round($udata[41]+$gold);

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen("../local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}


$newgold5=round($goldus-$gold);
$text='|'.$log.'|'.$newgold5.'|'.$oldtime.'|';
$text=stripslashes($text);

$file=file("../local/bank.dat");
$fp=fopen("../local/bank.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($lintus!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);



echo'Cредства успешно перечислены вам в карман!<br>';

}else{echo'Вы не можете столько снять, т.к. в банке должно остаться хотя бы '.moneys(10);};
}else{echo'Вы не можете снять деньги, т.к. а вашем счете пусто';}
}
//////////////////////////////

if($oper=="2"){echo'Пополнение счета<br>';

if($gold<=$udata[41]){



//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=round($udata[41]-$gold);

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen("../local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}



$nook="yes";
$lines=file("../local/bank.dat"); 
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$ok=$b; $mann=$dt[2]; $nook="no";}}

$newgold2=round($mann+$gold);
$text='|'.$log.'|'.$newgold2.'|'.$oldtime.'|';
$text=stripslashes($text);



if($nook=="no"){
$file=file("../local/bank.dat");
$fp=fopen("../local/bank.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($ok!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}


if($nook=="yes"){
$fp=fopen("../local/bank.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}

echo'Сумма в размере <b>'.moneys($gold).'</b> успешно зачислена на ваш счет<br>';
echo'Остаток счета: <b>'.moneys($udata[41]).'</b><br>';
echo'Получить проценты с вклада вы сможете не ранее чем через 12 часов<br>';


}else{echo'У вас столько нет на счете денег!<br>';}
} //if($oper=="2")




}else{echo'Операции менее чем с '.moneys(10).' не проводятся<br>';}
echo'<br><br><img src="../images/img/back.gif" alt=""> <a href="bank.php?'.SID.'">Вернуться</a>';
}
	
	
	
	
}else{echo'<br>Для того чтобы совершать операции вы должны быть авторизованы<br>';}
echo'<br><img src="../images/img/stat.gif" alt=""> <a href="../games/livebank.php?'.SID.'">Статистика вкладов</a><br>';
echo'<img src="../images/img/many.gif" alt=""> <a href="../games/kredit.php?'.SID.'">Выдача кредитов</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>